SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001020SOGoBackend Calendarpublic2010-12-01 12:292011-01-17 22:10
Reporteremyllymaki 
Assigned Toludovic 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.3.4 
Target Version1.3.5Fixed in Version1.3.5 
Summary0001020: Email Alarms not working
DescriptionSimilar to bug 922 reported fixed prior to this version (1.3.4).

Alarms are entered into the sogo_alarm_folder table.

Maybe notable that the c_alarm_number field is blank/NULL.

Alarms are processed at the correct time and then removed from the sogo_alarm_folder table. No email is sent to the event owner but an error message is sent to the user running the sogod process:

From sogo@sogo.mydomain.com Wed Dec 01 03:20:01 2010
Envelope-to: sogo@sogo.mydomain.com
Delivery-date: Wed, 01 Dec 2010 03:20:01 -0800
Date: Wed, 01 Dec 2010 03:20:01 -0800
From: root@sogo.mydomain.com (Cron Daemon)
To: sogo@sogo.mydomain.com
Subject: Cron <sogo@sogo> /usr/local/sbin/sogo-ealarms-notify
Content-Type: text/plain; charset=ANSI_X3.4-1968
X-Cron-Env: <SHELL=/bin/sh>
X-Cron-Env: <HOME=/home/sogo>
X-Cron-Env: <PATH=/usr/bin:/bin>
X-Cron-Env: <LOGNAME=sogo>

2010-12-01 03:20:01.367 sogo-ealarms-notify[9512] WARNING(-[SaxXMLReaderFactory _loadBundlePath:infoDictionary:nameMap:typeMap:]): multiple parsers available for MIME type 'text/x-vcard', using 'VSvCardSaxDriver' as default for type text/x-vcard.
2010-12-01 03:20:01.368 sogo-ealarms-notify[9512] WARNING(-[SaxXMLReaderFactory _loadBundlePath:infoDictionary:nameMap:typeMap:]): multiple parsers available for MIME type 'text/calendar', using 'VSiCalSaxDriver' as default for type text/calendar.
Dec 01 03:20:01 sogo-ealarms-notify [9512]: [ERROR] <0x0x89131b0[SOGoEMailAlarmsManager]> alarm number mismatch for record: {c_alarm_number = 0; c_name = "23C6-4CF62C80-7-4F1D4A80.ics"; c_path = "/Users/erik/Calendar/personal"; c_recurrence_id = 0; c_uid = "23C6-4CF62C80-7-4F1D4A80"; }
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate 0001053resolvedludovic EMail Alarm not working for repeating Events 

-  Notes
(0001933)
jolinarlorian (reporter)
2010-12-06 12:24

I currently have the same issue on SOGo 1.3.4. Alarms are processed at correct time (removed from table) but the same error is sent by cron.

Error message delivered to SOGo user from cron:

Return-Path: <sogo@jpg.local>
X-Original-To: sogo
Delivered-To: sogo@jpg.local
Received: by mail.jpg.local (Postfix, from userid 16778365)
        id 9759715019A; Mon, 6 Dec 2010 14:40:02 +0000 (GMT)
From: root@jpg.local (Cron Daemon)
To: sogo@jpg.local
Subject: Cron <sogo@mail> /usr/GNUstep/System/Tools/Admin/sogo-ealarms-notify
Content-Type: text/plain; charset=UTF-8
Auto-Submitted: auto-generated
X-Cron-Env: <SHELL=/bin/sh>
X-Cron-Env: <HOME=/home/JPG/sogo>
X-Cron-Env: <PATH=/usr/bin:/bin>
X-Cron-Env: <LOGNAME=sogo>
X-Cron-Env: <USER=sogo>
Message-Id: <20101206144002.9759715019A@mail.jpg.local>
Date: Mon, 6 Dec 2010 14:40:02 +0000 (GMT)

Dec 06 14:40:02 sogo-ealarms-notify [5977]: [ERROR] <0x0x81c2778[SOGoEMailAlarmsManager]> alarm number mismatch for record: {c_alarm_number = 0; c_name = "dc01d24f-7e4e-4d1f-9383-ebadf49fc050.ics"; c_path = "/Users/jedwards/Calendar/personal"; c_recurrence_id = 0; c_uid = "dc01d24f-7e4e-4d1f-9383-ebadf49fc050"; }
User avatar (0001952)
ludovic (administrator)
2010-12-16 15:40

Can I see the content of an event when that happens?
(0001957)
jedwards (reporter)
2010-12-17 03:24
edited on: 2010-12-17 03:26

This is the event after the reminder has failed. Do you need to see before?

mysql> select * from sogojedwards001390958f4 where c_name ='DC01D24F-7E4E-4D1F-9383-EBADF49FC050.ics';
+------------------------------------------+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+----------------+----------------+-----------+-----------+
| c_name | c_content | c_creationdate | c_lastmodified | c_version | c_deleted |
+------------------------------------------+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+----------------+----------------+-----------+-----------+
| dc01d24f-7e4e-4d1f-9383-ebadf49fc050.ics | BEGIN:VCALENDAR
PRODID:-//Mozilla.org/NONSGML Mozilla Calendar V1.1//EN
VERSION:2.0
BEGIN:VTIMEZONE
TZID:Europe/London
X-LIC-LOCATION:Europe/London
BEGIN:DAYLIGHT
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
TZNAME:BST
DTSTART:19700329T010000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
TZNAME:GMT
DTSTART:19701025T020000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
CREATED:20101206T142936Z
LAST-MODIFIED:20101206T173049Z
DTSTAMP:20101206T143007Z
UID:dc01d24f-7e4e-4d1f-9383-ebadf49fc050
SUMMARY:Test
X-MOZ-LASTACK:20101206T143007Z
DTSTART;TZID=Europe/London:20101206T174500
DTEND;TZID=Europe/London:20101206T184500
LOCATION:Mail test
X-MOZ-SNOOZE-TIME:20101206T143507Z
X-MOZ-GENERATION:1
TRANSP:OPAQUE
SEQUENCE:3
BEGIN:VALARM
TRIGGER;RELATED=START;VALUE=DURATION:-PT10M
ACTION:EMAIL
ATTENDEE;CN=John Edwards:mailto:jedwards@jpg.local
SUMMARY:Test
END:VALARM
END:VEVENT
END:VCALENDAR | 1291645793 | 1291656649 | 27 | NULL |
+------------------------------------------+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+----------------+----------------+-----------+-----------+
1 row in set (0.02 sec)

User avatar (0001964)
ludovic (administrator)
2010-12-23 12:16

Yes, create an event - add it to the ticket with the content of the sogo_alarm_folder table, then let it 'fail' and add the event again to the ticket.
User avatar (0001975)
ludovic (administrator)
2010-12-28 14:53

We need the requested information to fix that bug.
(0001981)
jedwards (reporter)
2010-12-29 04:10

Sorry, been away over Christmas. I'll collect the required data today.
(0001985)
alcy (reporter)
2010-12-30 02:45

When reminder/alarm is set, db entry looks like:

mysql> select * from sogosogone0017df28aec where c_name="656-4D1C3580-17-57F1EA80.ics"\G
*************************** 1. row ***************************
        c_name: 656-4D1C3580-17-57F1EA80.ics
     c_content: BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Inverse inc./SOGo 1.0//EN
BEGIN:VEVENT
UID:656-4D1C3580-17-57F1EA80
SUMMARY:reminder
CREATED:20101230T073345Z
DTSTAMP:20101230T073345Z
LAST-MODIFIED:20101230T073345Z
BEGIN:VALARM
TRIGGER;RELATED=START;VALUE=DURATION:-PT5M
ACTION:EMAIL
ATTENDEE;CN=sogone:mailto:sogone@djb.hell.qua
SUMMARY:reminder
END:VALARM
DTSTART:20101230T074500Z
DTEND:20101230T084500Z
TRANSP:OPAQUE
END:VEVENT
END:VCALENDAR
c_creationdate: 1293694425
c_lastmodified: 1293694425
     c_version: 0
     c_deleted: NULL
1 row in set (0.00 sec)

After it fails or when cron sends the error mail, entry looks like this:
mysql> select * from sogosogone0017df28aec where c_name="656-4D1C3580-17-57F1EA80.ics"\G
*************************** 1. row ***************************
        c_name: 656-4D1C3580-17-57F1EA80.ics
     c_content: BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Inverse inc./SOGo 1.0//EN
BEGIN:VEVENT
UID:656-4D1C3580-17-57F1EA80
SUMMARY:reminder
CREATED:20101230T073345Z
DTSTAMP:20101230T073345Z
LAST-MODIFIED:20101230T073345Z
BEGIN:VALARM
TRIGGER;RELATED=START;VALUE=DURATION:-PT5M
ACTION:EMAIL
ATTENDEE;CN=sogone:mailto:sogone@djb.hell.qua
SUMMARY:reminder
END:VALARM
DTSTART:20101230T074500Z
DTEND:20101230T084500Z
TRANSP:OPAQUE
END:VEVENT
END:VCALENDAR
c_creationdate: 1293694425
c_lastmodified: 1293694425
     c_version: 0
     c_deleted: NULL
1 row in set (0.00 sec)

Error message sent by cron:
From sogo@soggy Thu Dec 30 13:10:02 2010
Return-path: <sogo@soggy>
Envelope-to: sogo@soggy
Delivery-date: Thu, 30 Dec 2010 13:10:02 +0530
Received: from sogo by soggy with local (Exim 4.71)
        (envelope-from <sogo@soggy>)
        id 1PYD7C-0000wQ-6Y
        for sogo@soggy; Thu, 30 Dec 2010 13:10:02 +0530
Date: Thu, 30 Dec 2010 13:10:02 +0530
Message-Id: <E1PYD7C-0000wQ-6Y@soggy>
From: root@soggy (Cron Daemon)
To: sogo@soggy
Subject: Cron <sogo@soggy> /usr/sbin/sogo-ealarms-notify
Content-Type: text/plain; charset=ANSI_X3.4-1968
X-Cron-Env: <SHELL=/bin/sh>
X-Cron-Env: <PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin>
X-Cron-Env: <HOME=/home/sogo>
X-Cron-Env: <LOGNAME=sogo>

Dec 30 13:10:02 sogo-ealarms-notify [3621]: [ERROR] <0x0x9d45960[SOGoEMailAlarmsManager]> alarm number mismatch for record: {c_alarm_number = 0; c_name = "656-4D1C3580-17-57F1EA80.ics"; c_path = "/Users/sogone/Calendar/personal"; c_recurrence_id = 0; c_uid = "656-4D1C3580-17-57F1EA80"; }
User avatar (0001986)
ludovic (administrator)
2010-12-30 08:45

You need to add the content of the sogo_alarms_folder (or whatevery ou called it) when you ADDED the event with an email alarm.

So, I need:

1- the c_content of the event being added
2- the content of the sogo_alarms_folder JUST AFTER 1
3- the c_content of the event AFTER the cronjob processed the alarm
(0001988)
alcy (reporter)
2011-01-03 01:26

1. c_content of the event:

mysql> select c_content from sogosogone0017df28aec where c_name="41F-4D216880-1-4439C100.ics"\G
*************************** 1. row ***************************
c_content: BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Inverse inc./SOGo 1.0//EN
BEGIN:VEVENT
UID:41F-4D216880-1-4439C100
SUMMARY:Remtest
CREATED:20110103T061125Z
DTSTAMP:20110103T061125Z
LAST-MODIFIED:20110103T061125Z
BEGIN:VALARM
TRIGGER;RELATED=START;VALUE=DURATION:-PT10M
ACTION:EMAIL
ATTENDEE;CN=sogone:mailto:sogone@djb.hell.qua
SUMMARY:Remtest
END:VALARM
DTSTART:20110103T063000Z
DTEND:20110103T073000Z
TRANSP:OPAQUE
END:VEVENT
END:VCALENDAR

2. content of sogo_alarms_folder:

mysql> select * from sogo_alarms_folder\G
*************************** 1. row ***************************
         c_path: /Users/sogone/Calendar/personal
         c_name: 41F-4D216880-1-4439C100.ics
          c_uid: 41F-4D216880-1-4439C100
c_recurrence_id: 0
 c_alarm_number: 0
   c_alarm_date: 1294035600

3. c_content after cron execution:

mysql> select c_content from sogosogone0017df28aec where c_name="41F-4D216880-1-4439C100.ics"\G
*************************** 1. row ***************************
c_content: BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Inverse inc./SOGo 1.0//EN
BEGIN:VEVENT
UID:41F-4D216880-1-4439C100
SUMMARY:Remtest
CREATED:20110103T061125Z
DTSTAMP:20110103T061125Z
LAST-MODIFIED:20110103T061125Z
BEGIN:VALARM
TRIGGER;RELATED=START;VALUE=DURATION:-PT10M
ACTION:EMAIL
ATTENDEE;CN=sogone:mailto:sogone@djb.hell.qua
SUMMARY:Remtest
END:VALARM
DTSTART:20110103T063000Z
DTEND:20110103T073000Z
TRANSP:OPAQUE
END:VEVENT
END:VCALENDAR
(0001994)
alcy (reporter)
2011-01-05 00:34

Does this have to do something with the recurrence_id ? In the previous version, recurrence_id is always a negative number ( I am not sure of the characteristics of the number per se). Hope the above feedback is what you needed.
User avatar (0001996)
ludovic (administrator)
2011-01-05 10:43

In the example you pasted, c_recurrence_id is 0 which is ok. If it's non-zero and you event isn't a repetitive one, it will fail for sure.
(0001997)
alcy (reporter)
2011-01-05 11:59

Well, in the previous versions - one, a nightly build for Ubuntu just before the 1.3.3 release, as well as a 1.3.3 source build (also on Ubuntu), in both cases I have checked that c_recurrence_id in the table is always a negative number, for a *non-repetitive* event, and it *always* works, that is an email reminder is sent.

So, for eg., in case of the mentioned nightly build:

1. contents of the sogo_alarms_folder:
c_path: /Users/bar.baz/Calendar/personal
c_name: 3A74-4D24A000-1D-9AA3BB0.ics
c_uid: 3A74-4D24A000-1D-9AA3BB0
c_recurrence_id: -2147483648
c_alarm_number: 0
c_alarm_date: 1294246200

2. mail sent through cron to sogo (as opposed to the one containg errors, as in the bug report):
From sogo@cal.foo.com Wed Jan 05 22:20:05 2011
Return-path: <sogo@cal.foo.com>
Envelope-to: sogo@cal.foo.com
Delivery-date: Wed, 05 Jan 2011 22:20:05 +0530
Received: from sogo by cal.foo.com with local (Exim 4.71)
    (envelope-from <sogo@cal.foo.com>)
    id 1PaWYj-0005cM-La
    for sogo@cal.foo.com; Wed, 05 Jan 2011 22:20:05 +0530
Date: Wed, 05 Jan 2011 22:20:05 +0530
Message-Id: <E1PaWYj-0005cM-La@cal.foo.com>
From: root@cal.foo.com (Cron Daemon)
To: sogo@cal.foo.com
Subject: Cron <sogo@cal> /usr/sbin/sogo-ealarms-notify
Content-Type: text/plain; charset=ANSI_X3.4-1968
X-Cron-Env: <SHELL=/bin/sh>
X-Cron-Env: <PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin>
X-Cron-Env: <HOME=/home/sogo>
X-Cron-Env: <LOGNAME=sogo>

Jan 05 22:20:01 sogo-ealarms-notify [21597]: <0x0x96af7b0[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
Jan 05 22:20:01 sogo-ealarms-notify [21597]: <0x0x96af7b0[SOGoCache]> Using host(s) '127.0.0.1' as server(s)
User avatar (0002030)
francis (administrator)
2011-01-17 22:10

Fixed in revision c2f49ba857d8dcdda22d3395cb073bf99a040d49.

- Issue History
Date Modified Username Field Change
2010-12-01 12:29 emyllymaki New Issue
2010-12-06 12:24 jolinarlorian Note Added: 0001933
2010-12-10 08:54 ludovic Target Version => 1.3.5
2010-12-16 15:40 ludovic Note Added: 0001952
2010-12-17 03:24 jedwards Note Added: 0001957
2010-12-17 03:26 jedwards Note Edited: 0001957
2010-12-23 12:16 ludovic Note Added: 0001964
2010-12-28 14:53 ludovic Note Added: 0001975
2010-12-28 14:53 ludovic Status new => feedback
2010-12-29 04:10 jedwards Note Added: 0001981
2010-12-30 02:45 alcy Note Added: 0001985
2010-12-30 08:45 ludovic Note Added: 0001986
2011-01-03 01:26 alcy Note Added: 0001988
2011-01-05 00:34 alcy Note Added: 0001994
2011-01-05 10:43 ludovic Note Added: 0001996
2011-01-05 11:59 alcy Note Added: 0001997
2011-01-05 15:33 ludovic Status feedback => assigned
2011-01-05 15:33 ludovic Assigned To => ludovic
2011-01-17 22:10 francis Note Added: 0002030
2011-01-17 22:10 francis Status assigned => resolved
2011-01-17 22:10 francis Fixed in Version => 1.3.5
2011-01-17 22:10 francis Resolution open => fixed
2011-01-24 16:31 francis Relationship added has duplicate 0001053


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker